import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./search-bar.stories";

<Meta of={ComponentStories} name="Docs" />

# Search Bar

The searchbar helps the user to easily find the website content that is relevant for him.
It is presented to the user in a prominent, centered layout on top of the page.
It will dock at the top of the screen when the user scrolls down so it will remain visible at all times.

## Integration

```
<form
    action="/search-form-endpoint"
    method="GET"
    autocomplete="off"
    autocapitalize="off"
    id="website-search-form"
>
    <ux-iws-search-bar
        button-text="Suchen"
        placeholder="Suchbegriff eingeben"
        search-form-selector="form#website-search-form"
    ></ux-iws-search-bar>
</form>
```

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
